%define upstream_name    Bot-BasicBot-Pluggable
%define upstream_version 0.98

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Extension to the simple irc bot base class allowing for pluggable modules
License:    Artistic or GPL+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Bot/Bot-BasicBot-Pluggable-%{upstream_version}.tar.gz

	

BuildRequires: perl(Bot::BasicBot) >= 0.600.0
BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Find)
BuildRequires: perl(Crypt::SaltedHash) >= 0.60.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Log::Log4perl::Level)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Getopt::Dashes)
BuildRequires: perl(MooseX::SimpleConfig)
BuildRequires: perl(POE)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Find::Simple)
BuildRequires: perl(URI::Title)
BuildRequires: perl(XML::Feed)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: texinfo

BuildArch:  noarch

%description
Extension to the simple irc bot base class allowing for pluggable modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/04karma.t
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.980.0-8.mga6
+ Revision: 1022781
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.980.0-7.mga6
+ Revision: 951142
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.980.0-6.mga5
+ Revision: 747233
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.980.0-4.mga4
+ Revision: 533111
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 0.980.0-3.mga4
+ Revision: 471769
- BuildConflict texinfo to fix build

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 363376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.980.0-1.mga3
+ Revision: 314849
- update to 0.98

* Mon Jun 18 2012 kharec <kharec> 0.970.0-1.mga3
+ Revision: 261494
- update to 0.97

* Mon Mar 05 2012 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 218658
- update to 0.96

* Sun Dec 18 2011 kharec <kharec> 0.950.0-1.mga2
+ Revision: 183772
- new version 0.95
- remove one dubious test

* Thu Jun 30 2011 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 116416
- update to 0.93

* Wed Jun 22 2011 jquelin <jquelin> 0.920.0-1.mga2
+ Revision: 112031
- update to 0.92

* Wed Jan 26 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 41004
- mageia rebuild
- imported package perl-Bot-BasicBot-Pluggable


* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.910.0-1mdv2011.0
+ Revision: 616308
- new version

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.900.0-1mdv2011.0
+ Revision: 595075
- update to new version 0.90

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2011.0
+ Revision: 575393
- update to 0.88

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2011.0
+ Revision: 552371
- update to 0.87

* Mon Mar 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 528757
- update to 0.86

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.1
+ Revision: 505676
- update to 0.85

* Mon Dec 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2010.1
+ Revision: 478527
- adding missing buildrequires:
- update to 0.84

* Tue Nov 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.830.0-1mdv2010.1
+ Revision: 466967
- update buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.83

* Wed Oct 21 2009 Michael Scherer <misc@mandriva.org> 0.50-1mdv2010.1
+ Revision: 458555
- add missing Requires
- import perl-Bot-BasicBot-Pluggable

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Sep 24 2007 Michael Scherer <misc@mandriva.org> 0.50-1mdv2008.0
- First Mandriva package
